/*
 * Copyright 2009 SIB Visions GmbH
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 *
 * History
 *
 * 01.10.2008 - [HM] - creation
 */
package javax.rad.ui;

/**
 * Platform and technology independent point definition.
 * 
 * @author Martin Handsteiner
 * @see	java.awt.Point
 */
public interface IPoint extends IResource
{
	//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
	// Method definitions
	//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

	/**
     * The X coordinate of the upper-left corner of the <code>IPoint</code>.
     * 
     * @return the x coordinate.
     */
    public int getX();

    /**
     * Sets the x coordinate of the <code>IPoint</code>.
     *
     * @param pX the x coordinate
     */
    public void setX(int pX);

    /**
     * The Y coordinate of the upper-left corner of the <code>IPoint</code>.
     * 
     * @return the y coordinate.
     */
    public int getY();

    /**
     * Sets the y coordinate of the <code>IPoint</code>.
     *
     * @param pY the y coordinate
     */
    public void setY(int pY);
    
}	// IPoint
